GrailsControllerUrlMappings (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.web.mapping.mvc

## [Java] Class GrailsControllerUrlMappings

- org.grails.web.mapping.mvc.GrailsControllerUrlMappings

- A UrlMappings implementation that matches URLs directly onto controller instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsControllerUrlMappings (GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate, UrlConverter urlConverter)`
    `GrailsControllerUrlMappings (GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `UrlMapping[]` | `getUrlMappings()`
    `UrlMappingInfo[]` | `matchAll(java.lang.String uri)`
    `UrlMappingInfo[]` | `matchAll(java.lang.String uri, java.lang.String httpMethod)`
    `UrlMappingInfo[]` | `matchAll(java.lang.String uri, java.lang.String httpMethod, java.lang.String version)`
    `UrlMappingInfo[]` | `matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod)`
    `UrlMappingInfo[]` | `matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod, java.lang.String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsControllerUrlMappings` | `addMappings, allowedMethods, collectControllerMapping, collectControllerMappings, getExcludePatterns, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMappingNoDefault, getReverseMappingNoDefault, getReverseMappingNoDefault, match, matchStatusCode, matchStatusCode, registerController`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsControllerUrlMappings(GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate, UrlConverter urlConverter)

    - #### public GrailsControllerUrlMappings(GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate)

  - ### Method Detail

    - #### @java.lang.Override public UrlMapping[] getUrlMappings()

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, java.lang.String httpMethod)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, java.lang.String httpMethod, java.lang.String version)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod, java.lang.String version)